openSUSE Security Update : irssi (openSUSE-2017-352)

Medium Nessus Plugin ID 97816


The remote openSUSE host is missing a security update.


This update to irssi 1.0.2 fixes security issues and bugs.

The following vulnerabilities were fixed :

boo#1029020: Use after free while producing list of netjoins

The following non-security changes are included :

- Fix in command arg parser to detect missing arguments in tail place

- Fix regression that broke incoming DCC file transfers

- Fix issue with escaping \ in evaluated strings

- improve UTF8 support in GRegex


Update the affected irssi packages.

See Also

Plugin Details

Severity: Medium

ID: 97816

File Name: openSUSE-2017-352.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2017/03/20

Modified: 2017/03/20

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:irssi, p-cpe:/a:novell:opensuse:irssi-debuginfo, p-cpe:/a:novell:opensuse:irssi-debugsource, p-cpe:/a:novell:opensuse:irssi-devel, cpe:/o:novell:opensuse:42.1, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/03/17